/*===========================================================================*/
/*   (Rgc/rgctree.scm)                                                       */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:17:06 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/bigloo/libbacktrace/home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b  -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -stdc -c Rgc/rgctree.scm -indent -o objs/obj_u/Rgc/rgctree.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___RGC_TREE_TYPE_DEFINITIONS
#define BGL___RGC_TREE_TYPE_DEFINITIONS
#endif													// BGL___RGC_TREE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_symbol1752z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_symbol1756z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_symbol1759z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_za2positionzd2numberza2zd2zz__rgc_treez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_printzd2nodezd2zz__rgc_treez00(obj_t);
	static obj_t BGl_symbol1762z00zz__rgc_treez00 = BUNSPEC;
	static long BGl_regularzd2treezd2positionzd2numberzd2zz__rgc_treez00(obj_t);
	static obj_t BGl_symbol1765z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_z62or2zd2ze3nodez53zz__rgc_treez00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol1768z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_list1739z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_orzd2ze3nodez31zz__rgc_treez00(obj_t);
	extern obj_t BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00(obj_t, obj_t);
	static obj_t BGl_treezd2ze3nodez31zz__rgc_treez00(obj_t);
	static obj_t BGl_symbol1772z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_z62resetzd2treez12za2zz__rgc_treez00(obj_t);
	static obj_t BGl_initzd2followposz12zc0zz__rgc_treez00(void);
	static obj_t BGl_symbol1775z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_list1742z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_list1743z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_symbol1778z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_list1746z00zz__rgc_treez00 = BUNSPEC;
	extern obj_t bgl_display_obj(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__rgc_treez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__rgc_configz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__rgc_setz00(long, char *);
	static obj_t BGl_submatchzd2stopzd2addz12z12zz__rgc_treez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62printzd2nodezb0zz__rgc_treez00(obj_t, obj_t);
	static obj_t BGl_symbol1782z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_submatchzd2startzd2addz12z12zz__rgc_treez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_list1751z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_symbol1785z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_list1754z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_list1755z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_list1758z00zz__rgc_treez00 = BUNSPEC;
	extern obj_t BGl_rgcsetzd2addz12zc0zz__rgc_setz00(obj_t, long);
	BGL_EXPORTED_DECL obj_t BGl_regularzd2treezd2ze3nodeze3zz__rgc_treez00(obj_t);
	static obj_t BGl_list1761z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zz__rgc_treez00(void);
	static obj_t BGl_list1764z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_list1767z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31276ze3ze5zz__rgc_treez00(obj_t, obj_t);
	extern obj_t create_struct(obj_t, int);
	static obj_t BGl_list1771z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_list1774z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_list1777z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_cnstzd2initzd2zz__rgc_treez00(void);
	static obj_t BGl_genericzd2initzd2zz__rgc_treez00(void);
	static obj_t BGl_z62regularzd2treezd2ze3nodez81zz__rgc_treez00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__rgc_treez00(void);
	static obj_t BGl_list1780z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_list1781z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_gczd2rootszd2initz00zz__rgc_treez00(void);
	static obj_t BGl_z62zc3z04anonymousza31286ze3ze5zz__rgc_treez00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zz__rgc_treez00(void);
	static obj_t BGl_za2followposza2z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_za2currentzd2positionza2zd2zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_za2submatchesza2z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_submatchzd2ze3nodez31zz__rgc_treez00(obj_t);
	static obj_t BGl_initzd2positionsz12zc0zz__rgc_treez00(void);
	static obj_t BGl_binaryzd2ze3nodez31zz__rgc_treez00(obj_t, obj_t);
	static obj_t BGl_integerzd2ze3nodez31zz__rgc_treez00(obj_t);
	extern obj_t BGl_rgcsetzd2orz12zc0zz__rgc_setz00(obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_resetzd2treez12zc0zz__rgc_treez00(void);
	static obj_t BGl_z62sequence2zd2ze3nodez53zz__rgc_treez00(obj_t, obj_t,
		obj_t);
	extern obj_t make_vector(long, obj_t);
	static obj_t BGl_methodzd2initzd2zz__rgc_treez00(void);
	static obj_t BGl_za2positionsza2z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_symbol1719z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_loopze70ze7zz__rgc_treez00(obj_t, obj_t);
	static long BGl_loopze71ze7zz__rgc_treez00(obj_t, long);
	extern obj_t BGl_rgcsetzd2orzd2zz__rgc_setz00(obj_t, obj_t);
	static obj_t BGl_symbol1721z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_symbol1723z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_symbol1725z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_symbol1727z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_symbol1729z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31326ze3ze5zz__rgc_treez00(obj_t, obj_t);
	static obj_t BGl_za2zd2ze3nodez93zz__rgc_treez00(obj_t);
	static obj_t BGl_symbol1731z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_sequencezd2ze3nodez31zz__rgc_treez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_printzd2followposzd2zz__rgc_treez00(obj_t);
	static obj_t BGl_symbol1740z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_z62printzd2followposzb0zz__rgc_treez00(obj_t, obj_t);
	static obj_t BGl_symbol1744z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_symbol1747z00zz__rgc_treez00 = BUNSPEC;
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol1749z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31328ze3ze5zz__rgc_treez00(obj_t, obj_t);
	extern obj_t BGl_makezd2rgcsetzd2zz__rgc_setz00(long);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regularzd2treezd2ze3nodezd2envz31zz__rgc_treez00,
		BgL_bgl_za762regularza7d2tre1788z00,
		BGl_z62regularzd2treezd2ze3nodez81zz__rgc_treez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1720z00zz__rgc_treez00,
		BgL_bgl_string1720za700za7za7_1789za7, "epsilon", 7);
	      DEFINE_STRING(BGl_string1722z00zz__rgc_treez00,
		BgL_bgl_string1722za700za7za7_1790za7, "node", 4);
	      DEFINE_STRING(BGl_string1724z00zz__rgc_treez00,
		BgL_bgl_string1724za700za7za7_1791za7, "or", 2);
	      DEFINE_STRING(BGl_string1726z00zz__rgc_treez00,
		BgL_bgl_string1726za700za7za7_1792za7, "sequence", 8);
	      DEFINE_STRING(BGl_string1728z00zz__rgc_treez00,
		BgL_bgl_string1728za700za7za7_1793za7, "*", 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_printzd2followposzd2envz00zz__rgc_treez00,
		BgL_bgl_za762printza7d2follo1794z00,
		BGl_z62printzd2followposzb0zz__rgc_treez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1730z00zz__rgc_treez00,
		BgL_bgl_string1730za700za7za7_1795za7, "submatch", 8);
	      DEFINE_STRING(BGl_string1732z00zz__rgc_treez00,
		BgL_bgl_string1732za700za7za7_1796za7, "bol", 3);
	      DEFINE_STRING(BGl_string1733z00zz__rgc_treez00,
		BgL_bgl_string1733za700za7za7_1797za7, "RGC:Unknown function", 20);
	      DEFINE_STRING(BGl_string1734z00zz__rgc_treez00,
		BgL_bgl_string1734za700za7za7_1798za7, "RGC:Illegal tree", 16);
	      DEFINE_STRING(BGl_string1737z00zz__rgc_treez00,
		BgL_bgl_string1737za700za7za7_1799za7,
		"========= FOLLOWPOS ==============================", 50);
	      DEFINE_STRING(BGl_string1738z00zz__rgc_treez00,
		BgL_bgl_string1738za700za7za7_1800za7, "number of pos: ", 15);
	      DEFINE_STRING(BGl_string1741z00zz__rgc_treez00,
		BgL_bgl_string1741za700za7za7_1801za7, "let", 3);
	      DEFINE_BGL_L_PROCEDURE(BGl_proc1735z00zz__rgc_treez00,
		BgL_bgl_za762or2za7d2za7e3node1802za7,
		BGl_z62or2zd2ze3nodez53zz__rgc_treez00);
	      DEFINE_BGL_L_PROCEDURE(BGl_proc1736z00zz__rgc_treez00,
		BgL_bgl_za762sequence2za7d2za71803za7,
		BGl_z62sequence2zd2ze3nodez53zz__rgc_treez00);
	      DEFINE_STRING(BGl_string1745z00zz__rgc_treez00,
		BgL_bgl_string1745za700za7za7_1804za7, "sz", 2);
	      DEFINE_STRING(BGl_string1748z00zz__rgc_treez00,
		BgL_bgl_string1748za700za7za7_1805za7, "vector-length", 13);
	      DEFINE_STRING(BGl_string1750z00zz__rgc_treez00,
		BgL_bgl_string1750za700za7za7_1806za7, "fp", 2);
	      DEFINE_STRING(BGl_string1753z00zz__rgc_treez00,
		BgL_bgl_string1753za700za7za7_1807za7, "loop", 4);
	      DEFINE_STRING(BGl_string1757z00zz__rgc_treez00,
		BgL_bgl_string1757za700za7za7_1808za7, "i", 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_resetzd2treez12zd2envz12zz__rgc_treez00,
		BgL_bgl_za762resetza7d2treeza71809za7,
		BGl_z62resetzd2treez12za2zz__rgc_treez00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1760z00zz__rgc_treez00,
		BgL_bgl_string1760za700za7za7_1810za7, "if", 2);
	      DEFINE_STRING(BGl_string1763z00zz__rgc_treez00,
		BgL_bgl_string1763za700za7za7_1811za7, "<fx", 3);
	      DEFINE_STRING(BGl_string1766z00zz__rgc_treez00,
		BgL_bgl_string1766za700za7za7_1812za7, "begin", 5);
	      DEFINE_STRING(BGl_string1769z00zz__rgc_treez00,
		BgL_bgl_string1769za700za7za7_1813za7, "print", 5);
	      DEFINE_STRING(BGl_string1770z00zz__rgc_treez00,
		BgL_bgl_string1770za700za7za7_1814za7, ": ", 2);
	      DEFINE_STRING(BGl_string1773z00zz__rgc_treez00,
		BgL_bgl_string1773za700za7za7_1815za7, "reverse", 7);
	      DEFINE_STRING(BGl_string1776z00zz__rgc_treez00,
		BgL_bgl_string1776za700za7za7_1816za7, "rgcset->list", 12);
	      DEFINE_STRING(BGl_string1779z00zz__rgc_treez00,
		BgL_bgl_string1779za700za7za7_1817za7, "vector-ref", 10);
	      DEFINE_STRING(BGl_string1783z00zz__rgc_treez00,
		BgL_bgl_string1783za700za7za7_1818za7, "+fx", 3);
	      DEFINE_STRING(BGl_string1784z00zz__rgc_treez00,
		BgL_bgl_string1784za700za7za7_1819za7,
		"==================================================", 50);
	      DEFINE_STRING(BGl_string1786z00zz__rgc_treez00,
		BgL_bgl_string1786za700za7za7_1820za7, "blop", 4);
	      DEFINE_STRING(BGl_string1787z00zz__rgc_treez00,
		BgL_bgl_string1787za700za7za7_1821za7, "__rgc_tree", 10);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_printzd2nodezd2envz00zz__rgc_treez00,
		BgL_bgl_za762printza7d2nodeza71822za7,
		BGl_z62printzd2nodezb0zz__rgc_treez00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_symbol1752z00zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_symbol1756z00zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_symbol1759z00zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_za2positionzd2numberza2zd2zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_symbol1762z00zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_symbol1765z00zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_symbol1768z00zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_list1739z00zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_symbol1772z00zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_symbol1775z00zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_list1742z00zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_list1743z00zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_symbol1778z00zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_list1746z00zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_symbol1782z00zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_list1751z00zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_symbol1785z00zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_list1754z00zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_list1755z00zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_list1758z00zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_list1761z00zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_list1764z00zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_list1767z00zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_list1771z00zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_list1774z00zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_list1777z00zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_list1780z00zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_list1781z00zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_za2followposza2z00zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_za2currentzd2positionza2zd2zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_za2submatchesza2z00zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_za2positionsza2z00zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_symbol1719z00zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_symbol1721z00zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_symbol1723z00zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_symbol1725z00zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_symbol1727z00zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_symbol1729z00zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_symbol1731z00zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_symbol1740z00zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_symbol1744z00zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_symbol1747z00zz__rgc_treez00));
		     ADD_ROOT((void *) (&BGl_symbol1749z00zz__rgc_treez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__rgc_treez00(long
		BgL_checksumz00_2277, char *BgL_fromz00_2278)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__rgc_treez00))
				{
					BGl_requirezd2initializa7ationz75zz__rgc_treez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__rgc_treez00();
					BGl_cnstzd2initzd2zz__rgc_treez00();
					BGl_importedzd2moduleszd2initz00zz__rgc_treez00();
					return BGl_toplevelzd2initzd2zz__rgc_treez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__rgc_treez00(void)
	{
		{	/* Rgc/rgctree.scm 14 */
			BGl_symbol1719z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1720z00zz__rgc_treez00);
			BGl_symbol1721z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1722z00zz__rgc_treez00);
			BGl_symbol1723z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1724z00zz__rgc_treez00);
			BGl_symbol1725z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1726z00zz__rgc_treez00);
			BGl_symbol1727z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1728z00zz__rgc_treez00);
			BGl_symbol1729z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1730z00zz__rgc_treez00);
			BGl_symbol1731z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1732z00zz__rgc_treez00);
			BGl_symbol1740z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1741z00zz__rgc_treez00);
			BGl_symbol1744z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1745z00zz__rgc_treez00);
			BGl_symbol1747z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1748z00zz__rgc_treez00);
			BGl_symbol1749z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1750z00zz__rgc_treez00);
			BGl_list1746z00zz__rgc_treez00 =
				MAKE_YOUNG_PAIR(BGl_symbol1747z00zz__rgc_treez00,
				MAKE_YOUNG_PAIR(BGl_symbol1749z00zz__rgc_treez00, BNIL));
			BGl_list1743z00zz__rgc_treez00 =
				MAKE_YOUNG_PAIR(BGl_symbol1744z00zz__rgc_treez00,
				MAKE_YOUNG_PAIR(BGl_list1746z00zz__rgc_treez00, BNIL));
			BGl_list1742z00zz__rgc_treez00 =
				MAKE_YOUNG_PAIR(BGl_list1743z00zz__rgc_treez00, BNIL);
			BGl_symbol1752z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1753z00zz__rgc_treez00);
			BGl_symbol1756z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1757z00zz__rgc_treez00);
			BGl_list1755z00zz__rgc_treez00 =
				MAKE_YOUNG_PAIR(BGl_symbol1756z00zz__rgc_treez00,
				MAKE_YOUNG_PAIR(BINT(0L), BNIL));
			BGl_list1754z00zz__rgc_treez00 =
				MAKE_YOUNG_PAIR(BGl_list1755z00zz__rgc_treez00, BNIL);
			BGl_symbol1759z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1760z00zz__rgc_treez00);
			BGl_symbol1762z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1763z00zz__rgc_treez00);
			BGl_list1761z00zz__rgc_treez00 =
				MAKE_YOUNG_PAIR(BGl_symbol1762z00zz__rgc_treez00,
				MAKE_YOUNG_PAIR(BGl_symbol1756z00zz__rgc_treez00,
					MAKE_YOUNG_PAIR(BGl_symbol1744z00zz__rgc_treez00, BNIL)));
			BGl_symbol1765z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1766z00zz__rgc_treez00);
			BGl_symbol1768z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1769z00zz__rgc_treez00);
			BGl_symbol1772z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1773z00zz__rgc_treez00);
			BGl_symbol1775z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1776z00zz__rgc_treez00);
			BGl_symbol1778z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1779z00zz__rgc_treez00);
			BGl_list1777z00zz__rgc_treez00 =
				MAKE_YOUNG_PAIR(BGl_symbol1778z00zz__rgc_treez00,
				MAKE_YOUNG_PAIR(BGl_symbol1749z00zz__rgc_treez00,
					MAKE_YOUNG_PAIR(BGl_symbol1756z00zz__rgc_treez00, BNIL)));
			BGl_list1774z00zz__rgc_treez00 =
				MAKE_YOUNG_PAIR(BGl_symbol1775z00zz__rgc_treez00,
				MAKE_YOUNG_PAIR(BGl_list1777z00zz__rgc_treez00, BNIL));
			BGl_list1771z00zz__rgc_treez00 =
				MAKE_YOUNG_PAIR(BGl_symbol1772z00zz__rgc_treez00,
				MAKE_YOUNG_PAIR(BGl_list1774z00zz__rgc_treez00, BNIL));
			BGl_list1767z00zz__rgc_treez00 =
				MAKE_YOUNG_PAIR(BGl_symbol1768z00zz__rgc_treez00,
				MAKE_YOUNG_PAIR(BGl_symbol1756z00zz__rgc_treez00,
					MAKE_YOUNG_PAIR(BGl_string1770z00zz__rgc_treez00,
						MAKE_YOUNG_PAIR(BGl_list1771z00zz__rgc_treez00, BNIL))));
			BGl_symbol1782z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1783z00zz__rgc_treez00);
			BGl_list1781z00zz__rgc_treez00 =
				MAKE_YOUNG_PAIR(BGl_symbol1782z00zz__rgc_treez00,
				MAKE_YOUNG_PAIR(BGl_symbol1756z00zz__rgc_treez00,
					MAKE_YOUNG_PAIR(BINT(1L), BNIL)));
			BGl_list1780z00zz__rgc_treez00 =
				MAKE_YOUNG_PAIR(BGl_symbol1752z00zz__rgc_treez00,
				MAKE_YOUNG_PAIR(BGl_list1781z00zz__rgc_treez00, BNIL));
			BGl_list1764z00zz__rgc_treez00 =
				MAKE_YOUNG_PAIR(BGl_symbol1765z00zz__rgc_treez00,
				MAKE_YOUNG_PAIR(BGl_list1767z00zz__rgc_treez00,
					MAKE_YOUNG_PAIR(BGl_list1780z00zz__rgc_treez00, BNIL)));
			BGl_list1758z00zz__rgc_treez00 =
				MAKE_YOUNG_PAIR(BGl_symbol1759z00zz__rgc_treez00,
				MAKE_YOUNG_PAIR(BGl_list1761z00zz__rgc_treez00,
					MAKE_YOUNG_PAIR(BGl_list1764z00zz__rgc_treez00, BNIL)));
			BGl_list1751z00zz__rgc_treez00 =
				MAKE_YOUNG_PAIR(BGl_symbol1740z00zz__rgc_treez00,
				MAKE_YOUNG_PAIR(BGl_symbol1752z00zz__rgc_treez00,
					MAKE_YOUNG_PAIR(BGl_list1754z00zz__rgc_treez00,
						MAKE_YOUNG_PAIR(BGl_list1758z00zz__rgc_treez00, BNIL))));
			BGl_list1739z00zz__rgc_treez00 =
				MAKE_YOUNG_PAIR(BGl_symbol1740z00zz__rgc_treez00,
				MAKE_YOUNG_PAIR(BGl_list1742z00zz__rgc_treez00,
					MAKE_YOUNG_PAIR(BGl_list1751z00zz__rgc_treez00, BNIL)));
			return (BGl_symbol1785z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string1786z00zz__rgc_treez00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__rgc_treez00(void)
	{
		{	/* Rgc/rgctree.scm 14 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__rgc_treez00(void)
	{
		{	/* Rgc/rgctree.scm 14 */
			BGl_za2positionzd2numberza2zd2zz__rgc_treez00 = BUNSPEC;
			BGl_za2positionsza2z00zz__rgc_treez00 = BUNSPEC;
			BGl_za2submatchesza2z00zz__rgc_treez00 = BUNSPEC;
			BGl_za2currentzd2positionza2zd2zz__rgc_treez00 = BUNSPEC;
			return (BGl_za2followposza2z00zz__rgc_treez00 = BUNSPEC, BUNSPEC);
		}

	}



/* regular-tree->node */
	BGL_EXPORTED_DEF obj_t BGl_regularzd2treezd2ze3nodeze3zz__rgc_treez00(obj_t
		BgL_treez00_17)
	{
		{	/* Rgc/rgctree.scm 59 */
			BGl_za2positionzd2numberza2zd2zz__rgc_treez00 =
				BINT(BGl_regularzd2treezd2positionzd2numberzd2zz__rgc_treez00
				(BgL_treez00_17));
			BGl_initzd2positionsz12zc0zz__rgc_treez00();
			BGl_initzd2followposz12zc0zz__rgc_treez00();
			{	/* Rgc/rgctree.scm 67 */
				obj_t BgL_treez00_1224;

				BgL_treez00_1224 = BGl_treezd2ze3nodez31zz__rgc_treez00(BgL_treez00_17);
				{	/* Rgc/rgctree.scm 69 */
					obj_t BgL_val1_1089z00_1226;
					obj_t BgL_val2_1090z00_1227;
					obj_t BgL_val3_1091z00_1228;

					BgL_val1_1089z00_1226 = BGl_za2followposza2z00zz__rgc_treez00;
					BgL_val2_1090z00_1227 = BGl_za2positionsza2z00zz__rgc_treez00;
					BgL_val3_1091z00_1228 = BGl_za2submatchesza2z00zz__rgc_treez00;
					{	/* Rgc/rgctree.scm 69 */
						int BgL_tmpz00_2356;

						BgL_tmpz00_2356 = (int) (4L);
						BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2356);
					}
					{	/* Rgc/rgctree.scm 69 */
						int BgL_tmpz00_2359;

						BgL_tmpz00_2359 = (int) (1L);
						BGL_MVALUES_VAL_SET(BgL_tmpz00_2359, BgL_val1_1089z00_1226);
					}
					{	/* Rgc/rgctree.scm 69 */
						int BgL_tmpz00_2362;

						BgL_tmpz00_2362 = (int) (2L);
						BGL_MVALUES_VAL_SET(BgL_tmpz00_2362, BgL_val2_1090z00_1227);
					}
					{	/* Rgc/rgctree.scm 69 */
						int BgL_tmpz00_2365;

						BgL_tmpz00_2365 = (int) (3L);
						BGL_MVALUES_VAL_SET(BgL_tmpz00_2365, BgL_val3_1091z00_1228);
					}
					return BgL_treez00_1224;
				}
			}
		}

	}



/* &regular-tree->node */
	obj_t BGl_z62regularzd2treezd2ze3nodez81zz__rgc_treez00(obj_t BgL_envz00_2220,
		obj_t BgL_treez00_2221)
	{
		{	/* Rgc/rgctree.scm 59 */
			return BGl_regularzd2treezd2ze3nodeze3zz__rgc_treez00(BgL_treez00_2221);
		}

	}



/* regular-tree-position-number */
	long BGl_regularzd2treezd2positionzd2numberzd2zz__rgc_treez00(obj_t
		BgL_treez00_18)
	{
		{	/* Rgc/rgctree.scm 85 */
			return BGl_loopze71ze7zz__rgc_treez00(BgL_treez00_18, 0L);
		}

	}



/* loop~1 */
	long BGl_loopze71ze7zz__rgc_treez00(obj_t BgL_treez00_1230,
		long BgL_numz00_1231)
	{
		{	/* Rgc/rgctree.scm 86 */
		BGl_loopze71ze7zz__rgc_treez00:
			if (NULLP(BgL_treez00_1230))
				{	/* Rgc/rgctree.scm 89 */
					return BgL_numz00_1231;
				}
			else
				{	/* Rgc/rgctree.scm 91 */
					bool_t BgL_test1825z00_2372;

					{	/* Rgc/rgctree.scm 91 */
						obj_t BgL_tmpz00_2373;

						BgL_tmpz00_2373 = CAR(((obj_t) BgL_treez00_1230));
						BgL_test1825z00_2372 = PAIRP(BgL_tmpz00_2373);
					}
					if (BgL_test1825z00_2372)
						{
							long BgL_numz00_2380;
							obj_t BgL_treez00_2377;

							BgL_treez00_2377 = CDR(((obj_t) BgL_treez00_1230));
							BgL_numz00_2380 =
								BGl_loopze71ze7zz__rgc_treez00(CAR(
									((obj_t) BgL_treez00_1230)), BgL_numz00_1231);
							BgL_numz00_1231 = BgL_numz00_2380;
							BgL_treez00_1230 = BgL_treez00_2377;
							goto BGl_loopze71ze7zz__rgc_treez00;
						}
					else
						{	/* Rgc/rgctree.scm 91 */
							if (INTEGERP(CAR(((obj_t) BgL_treez00_1230))))
								{
									long BgL_numz00_2391;
									obj_t BgL_treez00_2388;

									BgL_treez00_2388 = CDR(((obj_t) BgL_treez00_1230));
									BgL_numz00_2391 = (BgL_numz00_1231 + 1L);
									BgL_numz00_1231 = BgL_numz00_2391;
									BgL_treez00_1230 = BgL_treez00_2388;
									goto BGl_loopze71ze7zz__rgc_treez00;
								}
							else
								{
									obj_t BgL_treez00_2393;

									BgL_treez00_2393 = CDR(((obj_t) BgL_treez00_1230));
									BgL_treez00_1230 = BgL_treez00_2393;
									goto BGl_loopze71ze7zz__rgc_treez00;
								}
						}
				}
		}

	}



/* init-positions! */
	obj_t BGl_initzd2positionsz12zc0zz__rgc_treez00(void)
	{
		{	/* Rgc/rgctree.scm 101 */
			BGl_za2currentzd2positionza2zd2zz__rgc_treez00 = BINT(-1L);
			BGl_za2positionsza2z00zz__rgc_treez00 =
				make_vector(
				(long) CINT(BGl_za2positionzd2numberza2zd2zz__rgc_treez00), BINT(-1L));
			return (BGl_za2submatchesza2z00zz__rgc_treez00 =
				make_vector(
					(long) CINT(BGl_za2positionzd2numberza2zd2zz__rgc_treez00), BNIL),
				BUNSPEC);
		}

	}



/* tree->node */
	obj_t BGl_treezd2ze3nodez31zz__rgc_treez00(obj_t BgL_treez00_20)
	{
		{	/* Rgc/rgctree.scm 122 */
			if (INTEGERP(BgL_treez00_20))
				{	/* Rgc/rgctree.scm 124 */
					return BGl_integerzd2ze3nodez31zz__rgc_treez00(BgL_treez00_20);
				}
			else
				{	/* Rgc/rgctree.scm 124 */
					if ((BgL_treez00_20 == BGl_symbol1719z00zz__rgc_treez00))
						{	/* Rgc/rgctree.scm 154 */
							obj_t BgL_firstposz00_1840;
							obj_t BgL_lastposz00_1841;

							BgL_firstposz00_1840 =
								BGl_makezd2rgcsetzd2zz__rgc_setz00(
								(long) CINT(BGl_za2positionzd2numberza2zd2zz__rgc_treez00));
							BgL_lastposz00_1841 =
								BGl_makezd2rgcsetzd2zz__rgc_setz00(
								(long) CINT(BGl_za2positionzd2numberza2zd2zz__rgc_treez00));
							{	/* Rgc/rgctree.scm 156 */
								obj_t BgL_newz00_1842;

								BgL_newz00_1842 =
									create_struct(BGl_symbol1721z00zz__rgc_treez00, (int) (3L));
								{	/* Rgc/rgctree.scm 156 */
									int BgL_tmpz00_2413;

									BgL_tmpz00_2413 = (int) (2L);
									STRUCT_SET(BgL_newz00_1842, BgL_tmpz00_2413, BTRUE);
								}
								{	/* Rgc/rgctree.scm 156 */
									int BgL_tmpz00_2416;

									BgL_tmpz00_2416 = (int) (1L);
									STRUCT_SET(BgL_newz00_1842, BgL_tmpz00_2416,
										BgL_lastposz00_1841);
								}
								{	/* Rgc/rgctree.scm 156 */
									int BgL_tmpz00_2419;

									BgL_tmpz00_2419 = (int) (0L);
									STRUCT_SET(BgL_newz00_1842, BgL_tmpz00_2419,
										BgL_firstposz00_1840);
								}
								return BgL_newz00_1842;
							}
						}
					else
						{	/* Rgc/rgctree.scm 126 */
							if (PAIRP(BgL_treez00_20))
								{	/* Rgc/rgctree.scm 131 */
									obj_t BgL_casezd2valuezd2_1249;

									BgL_casezd2valuezd2_1249 = CAR(BgL_treez00_20);
									if (
										(BgL_casezd2valuezd2_1249 ==
											BGl_symbol1723z00zz__rgc_treez00))
										{	/* Rgc/rgctree.scm 131 */
											BGL_TAIL return
												BGl_orzd2ze3nodez31zz__rgc_treez00(CDR(BgL_treez00_20));
										}
									else
										{	/* Rgc/rgctree.scm 131 */
											if (
												(BgL_casezd2valuezd2_1249 ==
													BGl_symbol1725z00zz__rgc_treez00))
												{	/* Rgc/rgctree.scm 131 */
													BGL_TAIL return
														BGl_sequencezd2ze3nodez31zz__rgc_treez00(CDR
														(BgL_treez00_20));
												}
											else
												{	/* Rgc/rgctree.scm 131 */
													if (
														(BgL_casezd2valuezd2_1249 ==
															BGl_symbol1727z00zz__rgc_treez00))
														{	/* Rgc/rgctree.scm 131 */
															BGL_TAIL return
																BGl_za2zd2ze3nodez93zz__rgc_treez00(CAR(CDR
																	(BgL_treez00_20)));
														}
													else
														{	/* Rgc/rgctree.scm 131 */
															if (
																(BgL_casezd2valuezd2_1249 ==
																	BGl_symbol1729z00zz__rgc_treez00))
																{	/* Rgc/rgctree.scm 131 */
																	BGL_TAIL return
																		BGl_submatchzd2ze3nodez31zz__rgc_treez00(CDR
																		(BgL_treez00_20));
																}
															else
																{	/* Rgc/rgctree.scm 131 */
																	if (
																		(BgL_casezd2valuezd2_1249 ==
																			BGl_symbol1731z00zz__rgc_treez00))
																		{	/* Rgc/rgctree.scm 136 */
																			obj_t BgL_arg1240z00_1259;

																			BgL_arg1240z00_1259 = CDR(BgL_treez00_20);
																			{	/* Rgc/rgctree.scm 242 */
																				obj_t BgL_nodez00_1860;

																				BgL_nodez00_1860 =
																					BGl_treezd2ze3nodez31zz__rgc_treez00
																					(BgL_arg1240z00_1259);
																				{	/* Rgc/rgctree.scm 242 */
																					obj_t BgL_firstposz00_1861;

																					BgL_firstposz00_1861 =
																						STRUCT_REF(
																						((obj_t) BgL_nodez00_1860),
																						(int) (0L));
																					{	/* Rgc/rgctree.scm 243 */
																						obj_t BgL_lastposz00_1862;

																						BgL_lastposz00_1862 =
																							STRUCT_REF(
																							((obj_t) BgL_nodez00_1860),
																							(int) (1L));
																						{	/* Rgc/rgctree.scm 244 */

																							return
																								(VA_PROCEDUREP(BgL_nodez00_1860)
																								? ((obj_t(*)(obj_t,
																											...))
																									PROCEDURE_ENTRY
																									(BgL_nodez00_1860))
																								(BgL_nodez00_1860,
																									BgL_firstposz00_1861,
																									BgL_lastposz00_1862, BFALSE,
																									BEOA) : ((obj_t(*)(obj_t,
																											obj_t, obj_t,
																											obj_t))
																									PROCEDURE_ENTRY
																									(BgL_nodez00_1860))
																								(BgL_nodez00_1860,
																									BgL_firstposz00_1861,
																									BgL_lastposz00_1862, BFALSE));
																						}
																					}
																				}
																			}
																		}
																	else
																		{	/* Rgc/rgctree.scm 131 */
																			return
																				BGl_errorz00zz__errorz00(BFALSE,
																				BGl_string1733z00zz__rgc_treez00,
																				BgL_treez00_20);
																		}
																}
														}
												}
										}
								}
							else
								{	/* Rgc/rgctree.scm 128 */
									return
										BGl_errorz00zz__errorz00(BFALSE,
										BGl_string1734z00zz__rgc_treez00, BgL_treez00_20);
								}
						}
				}
		}

	}



/* integer->node */
	obj_t BGl_integerzd2ze3nodez31zz__rgc_treez00(obj_t BgL_treez00_21)
	{
		{	/* Rgc/rgctree.scm 142 */
			{	/* Rgc/rgctree.scm 143 */
				obj_t BgL_positionz00_1260;
				obj_t BgL_firstposz00_1261;
				obj_t BgL_lastposz00_1262;

				BGl_za2currentzd2positionza2zd2zz__rgc_treez00 =
					ADDFX(BGl_za2currentzd2positionza2zd2zz__rgc_treez00, BINT(1L));
				VECTOR_SET(BGl_za2positionsza2z00zz__rgc_treez00,
					(long) CINT(BGl_za2currentzd2positionza2zd2zz__rgc_treez00),
					BgL_treez00_21);
				BgL_positionz00_1260 = BGl_za2currentzd2positionza2zd2zz__rgc_treez00;
				BgL_firstposz00_1261 =
					BGl_makezd2rgcsetzd2zz__rgc_setz00(
					(long) CINT(BGl_za2positionzd2numberza2zd2zz__rgc_treez00));
				BgL_lastposz00_1262 =
					BGl_makezd2rgcsetzd2zz__rgc_setz00(
					(long) CINT(BGl_za2positionzd2numberza2zd2zz__rgc_treez00));
				BGl_rgcsetzd2addz12zc0zz__rgc_setz00(BgL_firstposz00_1261,
					(long) CINT(BgL_positionz00_1260));
				BGl_rgcsetzd2addz12zc0zz__rgc_setz00(BgL_lastposz00_1262,
					(long) CINT(BgL_positionz00_1260));
				{	/* Rgc/rgctree.scm 148 */
					obj_t BgL_newz00_1868;

					BgL_newz00_1868 =
						create_struct(BGl_symbol1721z00zz__rgc_treez00, (int) (3L));
					{	/* Rgc/rgctree.scm 148 */
						int BgL_tmpz00_2474;

						BgL_tmpz00_2474 = (int) (2L);
						STRUCT_SET(BgL_newz00_1868, BgL_tmpz00_2474, BFALSE);
					}
					{	/* Rgc/rgctree.scm 148 */
						int BgL_tmpz00_2477;

						BgL_tmpz00_2477 = (int) (1L);
						STRUCT_SET(BgL_newz00_1868, BgL_tmpz00_2477, BgL_lastposz00_1262);
					}
					{	/* Rgc/rgctree.scm 148 */
						int BgL_tmpz00_2480;

						BgL_tmpz00_2480 = (int) (0L);
						STRUCT_SET(BgL_newz00_1868, BgL_tmpz00_2480, BgL_firstposz00_1261);
					}
					return BgL_newz00_1868;
				}
			}
		}

	}



/* binary->node */
	obj_t BGl_binaryzd2ze3nodez31zz__rgc_treez00(obj_t BgL_binzd2opzd2_23,
		obj_t BgL_tsz00_24)
	{
		{	/* Rgc/rgctree.scm 161 */
			if (NULLP(BgL_tsz00_24))
				{	/* Rgc/rgctree.scm 162 */
					return
						BGl_treezd2ze3nodez31zz__rgc_treez00
						(BGl_symbol1719z00zz__rgc_treez00);
				}
			else
				{	/* Rgc/rgctree.scm 162 */
					BGL_TAIL return
						BGl_loopze70ze7zz__rgc_treez00(BgL_binzd2opzd2_23, BgL_tsz00_24);
				}
		}

	}



/* loop~0 */
	obj_t BGl_loopze70ze7zz__rgc_treez00(obj_t BgL_binzd2opzd2_2254,
		obj_t BgL_tsz00_1267)
	{
		{	/* Rgc/rgctree.scm 164 */
			if (NULLP(CDR(((obj_t) BgL_tsz00_1267))))
				{	/* Rgc/rgctree.scm 166 */
					obj_t BgL_arg1246z00_1271;

					BgL_arg1246z00_1271 = CAR(((obj_t) BgL_tsz00_1267));
					return BGl_treezd2ze3nodez31zz__rgc_treez00(BgL_arg1246z00_1271);
				}
			else
				{	/* Rgc/rgctree.scm 167 */
					obj_t BgL_arg1247z00_1272;
					obj_t BgL_arg1248z00_1273;

					{	/* Rgc/rgctree.scm 167 */
						obj_t BgL_arg1249z00_1274;

						BgL_arg1249z00_1274 = CAR(((obj_t) BgL_tsz00_1267));
						BgL_arg1247z00_1272 =
							BGl_treezd2ze3nodez31zz__rgc_treez00(BgL_arg1249z00_1274);
					}
					{	/* Rgc/rgctree.scm 167 */
						obj_t BgL_arg1250z00_1275;

						BgL_arg1250z00_1275 = CDR(((obj_t) BgL_tsz00_1267));
						BgL_arg1248z00_1273 =
							BGl_loopze70ze7zz__rgc_treez00(BgL_binzd2opzd2_2254,
							BgL_arg1250z00_1275);
					}
					return
						((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_L_ENTRY(BgL_binzd2opzd2_2254)) (BgL_binzd2opzd2_2254,
						BgL_arg1247z00_1272, BgL_arg1248z00_1273);
				}
		}

	}



/* or->node */
	obj_t BGl_orzd2ze3nodez31zz__rgc_treez00(obj_t BgL_tsz00_25)
	{
		{	/* Rgc/rgctree.scm 172 */
			return
				BGl_binaryzd2ze3nodez31zz__rgc_treez00(BGl_proc1735z00zz__rgc_treez00,
				BgL_tsz00_25);
		}

	}



/* &or2->node */
	obj_t BGl_z62or2zd2ze3nodez53zz__rgc_treez00(obj_t BgL_envz00_2223,
		obj_t BgL_n1z00_2224, obj_t BgL_n2z00_2225)
	{
		{	/* Rgc/rgctree.scm 177 */
			{	/* Rgc/rgctree.scm 174 */
				obj_t BgL_firstposz00_2257;

				{	/* Rgc/rgctree.scm 174 */
					obj_t BgL_arg1257z00_2258;
					obj_t BgL_arg1259z00_2259;

					BgL_arg1257z00_2258 =
						STRUCT_REF(((obj_t) BgL_n1z00_2224), (int) (0L));
					BgL_arg1259z00_2259 =
						STRUCT_REF(((obj_t) BgL_n2z00_2225), (int) (0L));
					BgL_firstposz00_2257 =
						BGl_rgcsetzd2orzd2zz__rgc_setz00(BgL_arg1257z00_2258,
						BgL_arg1259z00_2259);
				}
				{	/* Rgc/rgctree.scm 174 */
					obj_t BgL_lastposz00_2260;

					{	/* Rgc/rgctree.scm 175 */
						obj_t BgL_arg1254z00_2261;
						obj_t BgL_arg1256z00_2262;

						BgL_arg1254z00_2261 =
							STRUCT_REF(((obj_t) BgL_n1z00_2224), (int) (1L));
						BgL_arg1256z00_2262 =
							STRUCT_REF(((obj_t) BgL_n2z00_2225), (int) (1L));
						BgL_lastposz00_2260 =
							BGl_rgcsetzd2orzd2zz__rgc_setz00(BgL_arg1254z00_2261,
							BgL_arg1256z00_2262);
					}
					{	/* Rgc/rgctree.scm 175 */
						obj_t BgL_nullablezf3zf3_2263;

						{	/* Rgc/rgctree.scm 176 */
							obj_t BgL__ortest_1039z00_2264;

							BgL__ortest_1039z00_2264 =
								STRUCT_REF(((obj_t) BgL_n1z00_2224), (int) (2L));
							if (CBOOL(BgL__ortest_1039z00_2264))
								{	/* Rgc/rgctree.scm 176 */
									BgL_nullablezf3zf3_2263 = BgL__ortest_1039z00_2264;
								}
							else
								{	/* Rgc/rgctree.scm 176 */
									BgL_nullablezf3zf3_2263 =
										STRUCT_REF(((obj_t) BgL_n2z00_2225), (int) (2L));
						}}
						{	/* Rgc/rgctree.scm 176 */

							{	/* Rgc/rgctree.scm 177 */
								obj_t BgL_newz00_2265;

								BgL_newz00_2265 =
									create_struct(BGl_symbol1721z00zz__rgc_treez00, (int) (3L));
								{	/* Rgc/rgctree.scm 177 */
									int BgL_tmpz00_2530;

									BgL_tmpz00_2530 = (int) (2L);
									STRUCT_SET(BgL_newz00_2265, BgL_tmpz00_2530,
										BgL_nullablezf3zf3_2263);
								}
								{	/* Rgc/rgctree.scm 177 */
									int BgL_tmpz00_2533;

									BgL_tmpz00_2533 = (int) (1L);
									STRUCT_SET(BgL_newz00_2265, BgL_tmpz00_2533,
										BgL_lastposz00_2260);
								}
								{	/* Rgc/rgctree.scm 177 */
									int BgL_tmpz00_2536;

									BgL_tmpz00_2536 = (int) (0L);
									STRUCT_SET(BgL_newz00_2265, BgL_tmpz00_2536,
										BgL_firstposz00_2257);
								}
								return BgL_newz00_2265;
							}
						}
					}
				}
			}
		}

	}



/* sequence->node */
	obj_t BGl_sequencezd2ze3nodez31zz__rgc_treez00(obj_t BgL_tsz00_26)
	{
		{	/* Rgc/rgctree.scm 183 */
			return
				BGl_binaryzd2ze3nodez31zz__rgc_treez00(BGl_proc1736z00zz__rgc_treez00,
				BgL_tsz00_26);
		}

	}



/* &sequence2->node */
	obj_t BGl_z62sequence2zd2ze3nodez53zz__rgc_treez00(obj_t BgL_envz00_2228,
		obj_t BgL_n1z00_2229, obj_t BgL_n2z00_2230)
	{
		{	/* Rgc/rgctree.scm 197 */
			{	/* Rgc/rgctree.scm 185 */
				obj_t BgL_firstposz00_2266;
				obj_t BgL_lastposz00_2267;
				obj_t BgL_nullablezf3zf3_2268;

				if (CBOOL(STRUCT_REF(((obj_t) BgL_n1z00_2229), (int) (2L))))
					{	/* Rgc/rgctree.scm 186 */
						obj_t BgL_arg1279z00_2269;
						obj_t BgL_arg1281z00_2270;

						BgL_arg1279z00_2269 =
							STRUCT_REF(((obj_t) BgL_n1z00_2229), (int) (0L));
						BgL_arg1281z00_2270 =
							STRUCT_REF(((obj_t) BgL_n2z00_2230), (int) (0L));
						BgL_firstposz00_2266 =
							BGl_rgcsetzd2orzd2zz__rgc_setz00(BgL_arg1279z00_2269,
							BgL_arg1281z00_2270);
					}
				else
					{	/* Rgc/rgctree.scm 185 */
						BgL_firstposz00_2266 =
							STRUCT_REF(((obj_t) BgL_n1z00_2229), (int) (0L));
					}
				if (CBOOL(STRUCT_REF(((obj_t) BgL_n2z00_2230), (int) (2L))))
					{	/* Rgc/rgctree.scm 189 */
						obj_t BgL_arg1283z00_2271;
						obj_t BgL_arg1284z00_2272;

						BgL_arg1283z00_2271 =
							STRUCT_REF(((obj_t) BgL_n1z00_2229), (int) (1L));
						BgL_arg1284z00_2272 =
							STRUCT_REF(((obj_t) BgL_n2z00_2230), (int) (1L));
						BgL_lastposz00_2267 =
							BGl_rgcsetzd2orzd2zz__rgc_setz00(BgL_arg1283z00_2271,
							BgL_arg1284z00_2272);
					}
				else
					{	/* Rgc/rgctree.scm 188 */
						BgL_lastposz00_2267 =
							STRUCT_REF(((obj_t) BgL_n2z00_2230), (int) (1L));
					}
				if (CBOOL(STRUCT_REF(((obj_t) BgL_n2z00_2230), (int) (2L))))
					{	/* Rgc/rgctree.scm 191 */
						BgL_nullablezf3zf3_2268 =
							STRUCT_REF(((obj_t) BgL_n1z00_2229), (int) (2L));
					}
				else
					{	/* Rgc/rgctree.scm 191 */
						BgL_nullablezf3zf3_2268 = BFALSE;
					}
				{	/* Rgc/rgctree.scm 193 */
					obj_t BgL_arg1275z00_2273;

					BgL_arg1275z00_2273 =
						STRUCT_REF(((obj_t) BgL_n1z00_2229), (int) (1L));
					{	/* Rgc/rgctree.scm 194 */
						obj_t BgL_zc3z04anonymousza31276ze3z87_2274;

						BgL_zc3z04anonymousza31276ze3z87_2274 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza31276ze3ze5zz__rgc_treez00, (int) (1L),
							(int) (1L));
						PROCEDURE_SET(BgL_zc3z04anonymousza31276ze3z87_2274, (int) (0L),
							BgL_n2z00_2230);
						BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00
							(BgL_zc3z04anonymousza31276ze3z87_2274, BgL_arg1275z00_2273);
				}}
				{	/* Rgc/rgctree.scm 197 */
					obj_t BgL_newz00_2275;

					BgL_newz00_2275 =
						create_struct(BGl_symbol1721z00zz__rgc_treez00, (int) (3L));
					{	/* Rgc/rgctree.scm 197 */
						int BgL_tmpz00_2589;

						BgL_tmpz00_2589 = (int) (2L);
						STRUCT_SET(BgL_newz00_2275, BgL_tmpz00_2589,
							BgL_nullablezf3zf3_2268);
					}
					{	/* Rgc/rgctree.scm 197 */
						int BgL_tmpz00_2592;

						BgL_tmpz00_2592 = (int) (1L);
						STRUCT_SET(BgL_newz00_2275, BgL_tmpz00_2592, BgL_lastposz00_2267);
					}
					{	/* Rgc/rgctree.scm 197 */
						int BgL_tmpz00_2595;

						BgL_tmpz00_2595 = (int) (0L);
						STRUCT_SET(BgL_newz00_2275, BgL_tmpz00_2595, BgL_firstposz00_2266);
					}
					return BgL_newz00_2275;
				}
			}
		}

	}



/* &<@anonymous:1276> */
	obj_t BGl_z62zc3z04anonymousza31276ze3ze5zz__rgc_treez00(obj_t
		BgL_envz00_2231, obj_t BgL_iz00_2233)
	{
		{	/* Rgc/rgctree.scm 193 */
			{	/* Rgc/rgctree.scm 194 */
				obj_t BgL_n2z00_2232;

				BgL_n2z00_2232 = PROCEDURE_REF(BgL_envz00_2231, (int) (0L));
				{	/* Rgc/rgctree.scm 194 */
					obj_t BgL_arg1277z00_2276;

					BgL_arg1277z00_2276 =
						STRUCT_REF(((obj_t) BgL_n2z00_2232), (int) (0L));
					return
						BGl_rgcsetzd2orz12zc0zz__rgc_setz00(VECTOR_REF
						(BGl_za2followposza2z00zz__rgc_treez00, (long) CINT(BgL_iz00_2233)),
						BgL_arg1277z00_2276);
		}}}

	}



/* *->node */
	obj_t BGl_za2zd2ze3nodez93zz__rgc_treez00(obj_t BgL_exprz00_27)
	{
		{	/* Rgc/rgctree.scm 203 */
			{	/* Rgc/rgctree.scm 204 */
				obj_t BgL_subzd2nodezd2_1312;

				BgL_subzd2nodezd2_1312 =
					BGl_treezd2ze3nodez31zz__rgc_treez00(BgL_exprz00_27);
				{	/* Rgc/rgctree.scm 204 */
					obj_t BgL_firstposz00_1313;

					BgL_firstposz00_1313 =
						STRUCT_REF(((obj_t) BgL_subzd2nodezd2_1312), (int) (0L));
					{	/* Rgc/rgctree.scm 205 */
						obj_t BgL_lastposz00_1314;

						BgL_lastposz00_1314 =
							STRUCT_REF(((obj_t) BgL_subzd2nodezd2_1312), (int) (1L));
						{	/* Rgc/rgctree.scm 206 */

							{	/* Rgc/rgctree.scm 209 */
								obj_t BgL_zc3z04anonymousza31286ze3z87_2234;

								BgL_zc3z04anonymousza31286ze3z87_2234 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza31286ze3ze5zz__rgc_treez00,
									(int) (1L), (int) (1L));
								PROCEDURE_SET(BgL_zc3z04anonymousza31286ze3z87_2234, (int) (0L),
									BgL_firstposz00_1313);
								BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00
									(BgL_zc3z04anonymousza31286ze3z87_2234, BgL_lastposz00_1314);
							}
							{	/* Rgc/rgctree.scm 212 */
								obj_t BgL_newz00_1917;

								BgL_newz00_1917 =
									create_struct(BGl_symbol1721z00zz__rgc_treez00, (int) (3L));
								{	/* Rgc/rgctree.scm 212 */
									int BgL_tmpz00_2621;

									BgL_tmpz00_2621 = (int) (2L);
									STRUCT_SET(BgL_newz00_1917, BgL_tmpz00_2621, BTRUE);
								}
								{	/* Rgc/rgctree.scm 212 */
									int BgL_tmpz00_2624;

									BgL_tmpz00_2624 = (int) (1L);
									STRUCT_SET(BgL_newz00_1917, BgL_tmpz00_2624,
										BgL_lastposz00_1314);
								}
								{	/* Rgc/rgctree.scm 212 */
									int BgL_tmpz00_2627;

									BgL_tmpz00_2627 = (int) (0L);
									STRUCT_SET(BgL_newz00_1917, BgL_tmpz00_2627,
										BgL_firstposz00_1313);
								}
								return BgL_newz00_1917;
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:1286> */
	obj_t BGl_z62zc3z04anonymousza31286ze3ze5zz__rgc_treez00(obj_t
		BgL_envz00_2235, obj_t BgL_iz00_2237)
	{
		{	/* Rgc/rgctree.scm 208 */
			{	/* Rgc/rgctree.scm 268 */
				obj_t BgL_firstposz00_2236;

				BgL_firstposz00_2236 = PROCEDURE_REF(BgL_envz00_2235, (int) (0L));
				return
					BGl_rgcsetzd2orz12zc0zz__rgc_setz00(VECTOR_REF
					(BGl_za2followposza2z00zz__rgc_treez00, (long) CINT(BgL_iz00_2237)),
					BgL_firstposz00_2236);
		}}

	}



/* submatch->node */
	obj_t BGl_submatchzd2ze3nodez31zz__rgc_treez00(obj_t BgL_exprz00_28)
	{
		{	/* Rgc/rgctree.scm 217 */
			if (PAIRP(BgL_exprz00_28))
				{	/* Rgc/rgctree.scm 218 */
					obj_t BgL_cdrzd2111zd2_1326;

					BgL_cdrzd2111zd2_1326 = CDR(((obj_t) BgL_exprz00_28));
					if (PAIRP(BgL_cdrzd2111zd2_1326))
						{	/* Rgc/rgctree.scm 218 */
							obj_t BgL_cdrzd2116zd2_1328;

							BgL_cdrzd2116zd2_1328 = CDR(BgL_cdrzd2111zd2_1326);
							if (PAIRP(BgL_cdrzd2116zd2_1328))
								{	/* Rgc/rgctree.scm 218 */
									if (NULLP(CDR(BgL_cdrzd2116zd2_1328)))
										{	/* Rgc/rgctree.scm 218 */
											obj_t BgL_arg1294z00_1332;
											obj_t BgL_arg1322z00_1333;
											obj_t BgL_arg1323z00_1334;

											BgL_arg1294z00_1332 = CAR(((obj_t) BgL_exprz00_28));
											BgL_arg1322z00_1333 = CAR(BgL_cdrzd2111zd2_1326);
											BgL_arg1323z00_1334 = CAR(BgL_cdrzd2116zd2_1328);
											{	/* Rgc/rgctree.scm 220 */
												obj_t BgL_nodez00_1938;

												BgL_nodez00_1938 =
													BGl_treezd2ze3nodez31zz__rgc_treez00
													(BgL_arg1323z00_1334);
												{	/* Rgc/rgctree.scm 220 */
													obj_t BgL_firstposz00_1939;

													BgL_firstposz00_1939 =
														STRUCT_REF(((obj_t) BgL_nodez00_1938), (int) (0L));
													{	/* Rgc/rgctree.scm 221 */
														obj_t BgL_lastposz00_1940;

														BgL_lastposz00_1940 =
															STRUCT_REF(
															((obj_t) BgL_nodez00_1938), (int) (1L));
														{	/* Rgc/rgctree.scm 222 */
															obj_t BgL_nullablezf3zf3_1941;

															BgL_nullablezf3zf3_1941 =
																STRUCT_REF(
																((obj_t) BgL_nodez00_1938), (int) (2L));
															{	/* Rgc/rgctree.scm 223 */

																{	/* Rgc/rgctree.scm 229 */
																	obj_t BgL_zc3z04anonymousza31326ze3z87_2239;

																	BgL_zc3z04anonymousza31326ze3z87_2239 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3z04anonymousza31326ze3ze5zz__rgc_treez00,
																		(int) (1L), (int) (3L));
																	PROCEDURE_SET
																		(BgL_zc3z04anonymousza31326ze3z87_2239,
																		(int) (0L), BgL_nullablezf3zf3_1941);
																	PROCEDURE_SET
																		(BgL_zc3z04anonymousza31326ze3z87_2239,
																		(int) (1L), BgL_arg1294z00_1332);
																	PROCEDURE_SET
																		(BgL_zc3z04anonymousza31326ze3z87_2239,
																		(int) (2L), BgL_arg1322z00_1333);
																	BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00
																		(BgL_zc3z04anonymousza31326ze3z87_2239,
																		BgL_firstposz00_1939);
																}
																{	/* Rgc/rgctree.scm 232 */
																	obj_t BgL_zc3z04anonymousza31328ze3z87_2238;

																	BgL_zc3z04anonymousza31328ze3z87_2238 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3z04anonymousza31328ze3ze5zz__rgc_treez00,
																		(int) (1L), (int) (2L));
																	PROCEDURE_SET
																		(BgL_zc3z04anonymousza31328ze3z87_2238,
																		(int) (0L), BgL_arg1294z00_1332);
																	PROCEDURE_SET
																		(BgL_zc3z04anonymousza31328ze3z87_2238,
																		(int) (1L), BgL_arg1322z00_1333);
																	BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00
																		(BgL_zc3z04anonymousza31328ze3z87_2238,
																		BgL_lastposz00_1940);
																}
																return BgL_nodez00_1938;
															}
														}
													}
												}
											}
										}
									else
										{	/* Rgc/rgctree.scm 218 */
											return
												BGl_errorz00zz__errorz00(BFALSE,
												BGl_string1733z00zz__rgc_treez00, BgL_exprz00_28);
										}
								}
							else
								{	/* Rgc/rgctree.scm 218 */
									return
										BGl_errorz00zz__errorz00(BFALSE,
										BGl_string1733z00zz__rgc_treez00, BgL_exprz00_28);
								}
						}
					else
						{	/* Rgc/rgctree.scm 218 */
							return
								BGl_errorz00zz__errorz00(BFALSE,
								BGl_string1733z00zz__rgc_treez00, BgL_exprz00_28);
						}
				}
			else
				{	/* Rgc/rgctree.scm 218 */
					return
						BGl_errorz00zz__errorz00(BFALSE, BGl_string1733z00zz__rgc_treez00,
						BgL_exprz00_28);
				}
		}

	}



/* &<@anonymous:1328> */
	obj_t BGl_z62zc3z04anonymousza31328ze3ze5zz__rgc_treez00(obj_t
		BgL_envz00_2240, obj_t BgL_iz00_2243)
	{
		{	/* Rgc/rgctree.scm 231 */
			return
				BGl_submatchzd2stopzd2addz12z12zz__rgc_treez00(BgL_iz00_2243,
				PROCEDURE_REF(BgL_envz00_2240,
					(int) (0L)), PROCEDURE_REF(BgL_envz00_2240, (int) (1L)));
		}

	}



/* &<@anonymous:1326> */
	obj_t BGl_z62zc3z04anonymousza31326ze3ze5zz__rgc_treez00(obj_t
		BgL_envz00_2244, obj_t BgL_iz00_2248)
	{
		{	/* Rgc/rgctree.scm 228 */
			return
				BGl_submatchzd2startzd2addz12z12zz__rgc_treez00(BgL_iz00_2248,
				PROCEDURE_REF(BgL_envz00_2244,
					(int) (0L)),
				PROCEDURE_REF(BgL_envz00_2244,
					(int) (1L)), PROCEDURE_REF(BgL_envz00_2244, (int) (2L)));
		}

	}



/* init-followpos! */
	obj_t BGl_initzd2followposz12zc0zz__rgc_treez00(void)
	{
		{	/* Rgc/rgctree.scm 250 */
			{	/* Rgc/rgctree.scm 251 */
				obj_t BgL_followposz00_1351;

				BgL_followposz00_1351 =
					make_vector(
					(long) CINT(BGl_za2positionzd2numberza2zd2zz__rgc_treez00), BUNSPEC);
				{
					long BgL_iz00_1961;

					BgL_iz00_1961 = 0L;
				BgL_loopz00_1960:
					if (
						((long) CINT(BGl_za2positionzd2numberza2zd2zz__rgc_treez00) ==
							BgL_iz00_1961))
						{	/* Rgc/rgctree.scm 253 */
							return (BGl_za2followposza2z00zz__rgc_treez00 =
								BgL_followposz00_1351, BUNSPEC);
						}
					else
						{	/* Rgc/rgctree.scm 253 */
							VECTOR_SET(BgL_followposz00_1351, BgL_iz00_1961,
								BGl_makezd2rgcsetzd2zz__rgc_setz00(
									(long) CINT(BGl_za2positionzd2numberza2zd2zz__rgc_treez00)));
							{
								long BgL_iz00_2703;

								BgL_iz00_2703 = (BgL_iz00_1961 + 1L);
								BgL_iz00_1961 = BgL_iz00_2703;
								goto BgL_loopz00_1960;
							}
						}
				}
			}
		}

	}



/* submatch-start-add! */
	obj_t BGl_submatchzd2startzd2addz12z12zz__rgc_treez00(obj_t
		BgL_positionz00_32, obj_t BgL_nullablezf3zf3_33, obj_t BgL_matchz00_34,
		obj_t BgL_submatchz00_35)
	{
		{	/* Rgc/rgctree.scm 273 */
			{	/* Rgc/rgctree.scm 274 */
				obj_t BgL_cellz00_1361;

				BgL_cellz00_1361 =
					VECTOR_REF(BGl_za2submatchesza2z00zz__rgc_treez00,
					(long) CINT(BgL_positionz00_32));
				if (PAIRP(BgL_cellz00_1361))
					{	/* Rgc/rgctree.scm 279 */
						obj_t BgL_arg1336z00_1363;

						{	/* Rgc/rgctree.scm 279 */
							obj_t BgL_arg1337z00_1364;
							obj_t BgL_arg1338z00_1365;

							{	/* Rgc/rgctree.scm 279 */
								obj_t BgL_list1339z00_1366;

								{	/* Rgc/rgctree.scm 279 */
									obj_t BgL_arg1341z00_1367;

									{	/* Rgc/rgctree.scm 279 */
										obj_t BgL_arg1342z00_1368;

										BgL_arg1342z00_1368 =
											MAKE_YOUNG_PAIR(BgL_submatchz00_35, BNIL);
										BgL_arg1341z00_1367 =
											MAKE_YOUNG_PAIR(BgL_matchz00_34, BgL_arg1342z00_1368);
									}
									BgL_list1339z00_1366 =
										MAKE_YOUNG_PAIR(BgL_nullablezf3zf3_33, BgL_arg1341z00_1367);
								}
								BgL_arg1337z00_1364 = BgL_list1339z00_1366;
							}
							BgL_arg1338z00_1365 = CAR(BgL_cellz00_1361);
							BgL_arg1336z00_1363 =
								MAKE_YOUNG_PAIR(BgL_arg1337z00_1364, BgL_arg1338z00_1365);
						}
						return SET_CAR(BgL_cellz00_1361, BgL_arg1336z00_1363);
					}
				else
					{	/* Rgc/rgctree.scm 278 */
						obj_t BgL_arg1343z00_1369;

						{	/* Rgc/rgctree.scm 278 */
							obj_t BgL_arg1344z00_1370;

							{	/* Rgc/rgctree.scm 278 */
								obj_t BgL_arg1345z00_1371;

								{	/* Rgc/rgctree.scm 278 */
									obj_t BgL_list1347z00_1373;

									{	/* Rgc/rgctree.scm 278 */
										obj_t BgL_arg1348z00_1374;

										{	/* Rgc/rgctree.scm 278 */
											obj_t BgL_arg1349z00_1375;

											BgL_arg1349z00_1375 =
												MAKE_YOUNG_PAIR(BgL_submatchz00_35, BNIL);
											BgL_arg1348z00_1374 =
												MAKE_YOUNG_PAIR(BgL_matchz00_34, BgL_arg1349z00_1375);
										}
										BgL_list1347z00_1373 =
											MAKE_YOUNG_PAIR(BgL_nullablezf3zf3_33,
											BgL_arg1348z00_1374);
									}
									BgL_arg1345z00_1371 = BgL_list1347z00_1373;
								}
								{	/* Rgc/rgctree.scm 278 */
									obj_t BgL_list1346z00_1372;

									BgL_list1346z00_1372 =
										MAKE_YOUNG_PAIR(BgL_arg1345z00_1371, BNIL);
									BgL_arg1344z00_1370 = BgL_list1346z00_1372;
								}
							}
							BgL_arg1343z00_1369 = MAKE_YOUNG_PAIR(BgL_arg1344z00_1370, BNIL);
						}
						return
							VECTOR_SET(BGl_za2submatchesza2z00zz__rgc_treez00,
							(long) CINT(BgL_positionz00_32), BgL_arg1343z00_1369);
		}}}

	}



/* submatch-stop-add! */
	obj_t BGl_submatchzd2stopzd2addz12z12zz__rgc_treez00(obj_t BgL_positionz00_36,
		obj_t BgL_matchz00_37, obj_t BgL_submatchz00_38)
	{
		{	/* Rgc/rgctree.scm 284 */
			{	/* Rgc/rgctree.scm 285 */
				obj_t BgL_cellz00_1376;

				BgL_cellz00_1376 =
					VECTOR_REF(BGl_za2submatchesza2z00zz__rgc_treez00,
					(long) CINT(BgL_positionz00_36));
				if (PAIRP(BgL_cellz00_1376))
					{	/* Rgc/rgctree.scm 290 */
						obj_t BgL_arg1352z00_1378;

						{	/* Rgc/rgctree.scm 290 */
							obj_t BgL_arg1353z00_1379;
							obj_t BgL_arg1354z00_1380;

							BgL_arg1353z00_1379 =
								MAKE_YOUNG_PAIR(BgL_matchz00_37, BgL_submatchz00_38);
							BgL_arg1354z00_1380 = CDR(BgL_cellz00_1376);
							BgL_arg1352z00_1378 =
								MAKE_YOUNG_PAIR(BgL_arg1353z00_1379, BgL_arg1354z00_1380);
						}
						return SET_CDR(BgL_cellz00_1376, BgL_arg1352z00_1378);
					}
				else
					{	/* Rgc/rgctree.scm 289 */
						obj_t BgL_arg1355z00_1381;

						{	/* Rgc/rgctree.scm 289 */
							obj_t BgL_arg1356z00_1382;

							{	/* Rgc/rgctree.scm 289 */
								obj_t BgL_arg1357z00_1383;

								BgL_arg1357z00_1383 =
									MAKE_YOUNG_PAIR(BgL_matchz00_37, BgL_submatchz00_38);
								{	/* Rgc/rgctree.scm 289 */
									obj_t BgL_list1358z00_1384;

									BgL_list1358z00_1384 =
										MAKE_YOUNG_PAIR(BgL_arg1357z00_1383, BNIL);
									BgL_arg1356z00_1382 = BgL_list1358z00_1384;
								}
							}
							BgL_arg1355z00_1381 = MAKE_YOUNG_PAIR(BNIL, BgL_arg1356z00_1382);
						}
						return
							VECTOR_SET(BGl_za2submatchesza2z00zz__rgc_treez00,
							(long) CINT(BgL_positionz00_36), BgL_arg1355z00_1381);
		}}}

	}



/* reset-tree! */
	BGL_EXPORTED_DEF obj_t BGl_resetzd2treez12zc0zz__rgc_treez00(void)
	{
		{	/* Rgc/rgctree.scm 295 */
			BGl_za2followposza2z00zz__rgc_treez00 = BUNSPEC;
			BGl_za2positionsza2z00zz__rgc_treez00 = BUNSPEC;
			BGl_za2submatchesza2z00zz__rgc_treez00 = BUNSPEC;
			return (BGl_za2positionzd2numberza2zd2zz__rgc_treez00 = BUNSPEC, BUNSPEC);
		}

	}



/* &reset-tree! */
	obj_t BGl_z62resetzd2treez12za2zz__rgc_treez00(obj_t BgL_envz00_2249)
	{
		{	/* Rgc/rgctree.scm 295 */
			return BGl_resetzd2treez12zc0zz__rgc_treez00();
		}

	}



/* print-followpos */
	BGL_EXPORTED_DEF obj_t BGl_printzd2followposzd2zz__rgc_treez00(obj_t
		BgL_fpz00_39)
	{
		{	/* Rgc/rgctree.scm 304 */
			{	/* Rgc/rgctree.scm 305 */
				obj_t BgL_port1092z00_1385;

				{	/* Rgc/rgctree.scm 305 */
					obj_t BgL_tmpz00_2736;

					BgL_tmpz00_2736 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_port1092z00_1385 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2736);
				}
				bgl_display_string(BGl_string1737z00zz__rgc_treez00,
					BgL_port1092z00_1385);
				bgl_display_char(((unsigned char) 10), BgL_port1092z00_1385);
			}
			{	/* Rgc/rgctree.scm 306 */
				obj_t BgL_port1093z00_1386;

				{	/* Rgc/rgctree.scm 306 */
					obj_t BgL_tmpz00_2741;

					BgL_tmpz00_2741 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_port1093z00_1386 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2741);
				}
				bgl_display_string(BGl_string1738z00zz__rgc_treez00,
					BgL_port1093z00_1386);
				bgl_display_obj(BINT(VECTOR_LENGTH(((obj_t) BgL_fpz00_39))),
					BgL_port1093z00_1386);
				bgl_display_char(((unsigned char) 10), BgL_port1093z00_1386);
			} BGl_list1739z00zz__rgc_treez00;
			{	/* Rgc/rgctree.scm 313 */
				obj_t BgL_port1094z00_1388;

				{	/* Rgc/rgctree.scm 313 */
					obj_t BgL_tmpz00_2750;

					BgL_tmpz00_2750 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_port1094z00_1388 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2750);
				}
				bgl_display_string(BGl_string1784z00zz__rgc_treez00,
					BgL_port1094z00_1388);
				return bgl_display_char(((unsigned char) 10), BgL_port1094z00_1388);
		}}

	}



/* &print-followpos */
	obj_t BGl_z62printzd2followposzb0zz__rgc_treez00(obj_t BgL_envz00_2250,
		obj_t BgL_fpz00_2251)
	{
		{	/* Rgc/rgctree.scm 304 */
			return BGl_printzd2followposzd2zz__rgc_treez00(BgL_fpz00_2251);
		}

	}



/* print-node */
	BGL_EXPORTED_DEF obj_t BGl_printzd2nodezd2zz__rgc_treez00(obj_t
		BgL_nodez00_40)
	{
		{	/* Rgc/rgctree.scm 318 */
			return BGl_symbol1785z00zz__rgc_treez00;
		}

	}



/* &print-node */
	obj_t BGl_z62printzd2nodezb0zz__rgc_treez00(obj_t BgL_envz00_2252,
		obj_t BgL_nodez00_2253)
	{
		{	/* Rgc/rgctree.scm 318 */
			return BGl_printzd2nodezd2zz__rgc_treez00(BgL_nodez00_2253);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__rgc_treez00(void)
	{
		{	/* Rgc/rgctree.scm 14 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__rgc_treez00(void)
	{
		{	/* Rgc/rgctree.scm 14 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__rgc_treez00(void)
	{
		{	/* Rgc/rgctree.scm 14 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__rgc_treez00(void)
	{
		{	/* Rgc/rgctree.scm 14 */
			BGl_modulezd2initializa7ationz75zz__rgc_setz00(225075643L,
				BSTRING_TO_STRING(BGl_string1787z00zz__rgc_treez00));
			BGl_modulezd2initializa7ationz75zz__rgc_configz00(428274736L,
				BSTRING_TO_STRING(BGl_string1787z00zz__rgc_treez00));
			return
				BGl_modulezd2initializa7ationz75zz__errorz00(88804785L,
				BSTRING_TO_STRING(BGl_string1787z00zz__rgc_treez00));
		}

	}

#ifdef __cplusplus
}
#endif
